Page MenuHomePhabricator

Change aliases on ruwiki
Closed, ResolvedPublic

Details

Related Gerrit Patches:
operations/mediawiki-config : masterChange NS aliases on ruwiki

Event Timeline

MBH created this task.Mar 9 2018, 2:21 AM
Restricted Application added subscribers: Base, Aklapper. · View Herald TranscriptMar 9 2018, 2:21 AM

Change 418070 had a related patch set uploaded (by Framawiki; owner: Framawiki):
[operations/mediawiki-config@master] Change NS aliases on ruwiki

https://gerrit.wikimedia.org/r/418070

Framawiki claimed this task.EditedMar 9 2018, 9:29 PM
Framawiki triaged this task as Medium priority.
Framawiki moved this task from Backlog to To deploy on the Wikimedia-Site-requests board.
Framawiki added a subscriber: Framawiki.

@MaxBioHazard just a note : we're about to remove a NS alias. So actual links in wiki pages and outside, in external websites, that point to Wikiproject:xxx pages, will simply no longer work. Please confirm me that you're ok with this.

MBH added a comment.Mar 10 2018, 12:37 AM

I confirm. This aliases was never used in ruwiki.

Also, you made a mistake: https://gerrit.wikimedia.org/r/#/c/418070/1/wmf-config/InitialiseSettings.php

ОПРО should be alias for ns 105, not 104.

When I make a patch being tired... thank you, number corrected (and my "remove NS" comment too).
I'll deploy it in few days.

Framawiki added a subscriber: MaxSem.

With @MaxSem we wondered if there is a need to execute additional commands, such as namespacedupes.php, to delete this alias. We found nothing in the docs on wikitech or mediawiki. Any ideas?

Well, just to be sure, I'd run namespaceDupes.php, just for case there will be some broken page after introducing ОПРО. I don't think that other step than on-wiki link fixing should be performed after deleting alias (this do not apply for the namespace itself through).

MBH added a comment.Apr 7 2018, 2:12 PM

And when this change will be deployed?

I think it can be deployed soonly. @Framawiki, can you schedule it for a SWAT? Or, if you're offline, feel free to note, I can take care about this during SWAT.

Oh, sorry I missed this, too many tasks on phab.... Yes, if you @Urbanecm can deploy this patch with yours, I'd be fine with that, thanks !

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.

Will deploy this tomorrow in EU SWAT.

Change 418070 merged by jenkins-bot:
[operations/mediawiki-config@master] Change NS aliases on ruwiki

https://gerrit.wikimedia.org/r/418070

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-04-19T13:14:55Z] <reedy@tin> Synchronized wmf-config/InitialiseSettings.php: T192427 T189277 (duration: 01m 17s)

Urbanecm closed this task as Resolved.Apr 19 2018, 5:15 PM

Deployed.